TEXMAKE(1)

NAME
texmake - Prepare a texture for use with Pixie.

SYNOPSIS
texmake [ options... ] inname.tif [ iname2.tif ... ] outname.tex

texmake -texture3d [ brickmap options... ] inname.ptc outname.bm

DESCRIPTION
Texmake Prepares textures for efficient use in a render with rndr

The main documentation is maintained in html form and should be included with your distribution in the html or doc directories.

The command allows for preparation of envionment maps with latitude-logitude mapping, cube maps and also shadow maps. Texmake will output a prepared texture in the same format as the input. Supported modes are: 8bit per channel, 16bit per channel and float values per channel.

OPTIONS

-mode <MODE>
    Is one of:

    <none>
        The default. Prepare a standard texture.

    -shadow
        Prepare a shadow map

    -envlatl
        Prepare a latitude-longitude environment map

    -envcube
        Prepare a cube environment map. There are expected to be 6 input textures specified before the output filename representing the faces. These are specified in the following order: +x -x +y -y +z -z.

-tilesize
    Set the tile size for the output, defaults to 32.

-smode <MODE>
    Set the s mode. This may be one of

    periodic

    nonperiodic

    nowrap

    clamp

    black

-tmode <MODE>
    Set the t mode, see -smode.

-filter <FILTER>
    Set the filtering mode to <FILTER>. Valid modes are:

    box

    triangle

    gaussian

    catmull-rom

    sinc

-filterwidth <WIDTH>
    Set the swidth and twidth of the filter used to prepare the mip levels.

-sfilterwidth <WIDTH>
    Set the swidth of the filter.

-tfilterwidth <WIDTH>
    Set the twidth of the filter.

-resize <MODE>
    Set the resize mode. The up down and round modes resize the image to be power of 2, but retain the image aspect ratio, filling the rest with black. Adjustments are made in the renderer so this is not apparent. The up- down- and rount- modes resize the image to be power of 2 in all dimentions (stretching it). The none mode does not rescale the image (used to be the default mode). Resize mode may be one of:

    up

    down

    round

    none

    up-

    down-

    round-

-fov <FOV>
    Set the field of view.

-input <PATH>
    Set the input file path to PATH.

-output <PATH>
    Set the output file path the PATH.

BRICKMAP OPTIONS

-maxerror 0.002
    Set the maximum error factor for brickmap compression - 0 to disable.

-radiusscale 1
    Multiply point radii by radiussscale when making the brickmap, use values >1 if brickmaps are unnecessarily large due to overly small point radii.

-maxdepth 10
    Set the maximum depth of the brickmap

SEE ALSO
rndr(1), sdrc(1), show(1), sdrinfo(1)

BUGS
See the sourceforge forums / tracker at http://pixie.sourceforge.net